- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# QuadraticTerms Class Reference

a data structure for holding quadratic terms More...

`#include <OSGeneral.h>`

List of all members.

## Public Member Functions
| QuadraticTerms ()
| Default constructor.
| ~QuadraticTerms ()
## Public Attributes
int * | rowIndexes
| rowIndexes holds an integer array of row indexes of all the quadratic terms.
int * | varOneIndexes
| varOneIndexes holds an integer array of the first variable indexes of all the quadratic terms.
int * | varTwoIndexes
| varTwoIndexes holds an integer array of the second variable indexes of all the quadratic terms.
double * | coefficients
| coefficients holds a double array all the quadratic term coefficients.

## Detailed Description

a data structure for holding quadratic terms

Definition at line 370 of file OSGeneral.h.

## Constructor & Destructor Documentation

QuadraticTerms::QuadraticTerms | ( |  | ) |

Default constructor.

Definition at line 296 of file OSGeneral.cpp.

QuadraticTerms::~QuadraticTerms | ( |  | ) |

Definition at line 304 of file OSGeneral.cpp.

References coefficients, rowIndexes, varOneIndexes, and varTwoIndexes.

## Member Data Documentation

int* QuadraticTerms::rowIndexes

rowIndexes holds an integer array of row indexes of all the quadratic terms.

A negative integer corresponds to an objective row, e.g. -1 for 1st objective and -2 for 2nd.

Definition at line 378 of file OSGeneral.h.

Referenced by OSInstance::addQTermsToExressionTree(), LindoSolver::dataEchoCheck(), KnitroSolver::dataEchoCheck(), IpoptSolver::dataEchoCheck(), BonminSolver::dataEchoCheck(), OSInstance::getQuadraticRowIndexes(), OSInstance::getQuadraticTerms(), LindoSolver::processQuadraticTerms(), and ~QuadraticTerms().

int* QuadraticTerms::varOneIndexes

varOneIndexes holds an integer array of the first variable indexes of all the quadratic terms.

Definition at line 383 of file OSGeneral.h.

Referenced by OSInstance::addQTermsToExressionTree(), LindoSolver::dataEchoCheck(), KnitroSolver::dataEchoCheck(), IpoptSolver::dataEchoCheck(), BonminSolver::dataEchoCheck(), OSInstance::getQuadraticTerms(), LindoSolver::processQuadraticTerms(), and ~QuadraticTerms().

int* QuadraticTerms::varTwoIndexes

varTwoIndexes holds an integer array of the second variable indexes of all the quadratic terms.

Definition at line 388 of file OSGeneral.h.

Referenced by OSInstance::addQTermsToExressionTree(), LindoSolver::dataEchoCheck(), KnitroSolver::dataEchoCheck(), IpoptSolver::dataEchoCheck(), BonminSolver::dataEchoCheck(), OSInstance::getQuadraticTerms(), LindoSolver::processQuadraticTerms(), and ~QuadraticTerms().

double* QuadraticTerms::coefficients

coefficients holds a double array all the quadratic term coefficients.

Definition at line 393 of file OSGeneral.h.

Referenced by OSInstance::addQTermsToExressionTree(), LindoSolver::dataEchoCheck(), KnitroSolver::dataEchoCheck(), IpoptSolver::dataEchoCheck(), BonminSolver::dataEchoCheck(), OSInstance::getQuadraticTerms(), LindoSolver::processQuadraticTerms(), and ~QuadraticTerms().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSGeneral.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSGeneral.cpp